<template>
	<view class='pro-page'>
		<view class='pro-mian'>
			<view class='main-lien' v-for="item in proList" :key="item.protocolName" @click='goIndex(item)'>
				<view class="line-left">{{item.protocolName}}</view>
				<view class="line-right"></view>
			</view>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				proList:[]
			}
		},
		onLoad(options){
			console.log(options,'65')
			if(options){
				this.proList=JSON.parse(options.mydata)
			}
			
			
		},
		methods: {
			goIndex(item){
				const parmas={
					name:item.protocolName,
					url:item.protocolUrl
				}
				uni.navigateTo({
				  url: '/pages/webview/webview?mydata=' + encodeURIComponent(JSON.stringify(parmas))
				})
			}
		},
		onShow(){
			
			
		}
	}
</script>

<style src='./index.less' lang="less" scoped></style>